<?php
/**
 * @version     1.3.3
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2017 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access
defined('_JEXEC') or die;

/**
 * View class for a list of shortcodes.
 */
class SellaciousViewShortcodes extends SellaciousViewList
{
	/** @var  string */
	protected $action_prefix = 'shortcode';

	/** @var  string */
	protected $view_item = 'shortcode';

	/** @var  string */
	protected $view_list = 'shortcodes';

	/**
	 * Add the page title and toolbar.
	 *
	 * @since  1.6
	 */
	protected function addToolbar()
	{
		if ($this->helper->access->check('shortcode.edit.state'))
		{
			JToolBarHelper::custom('shortcodes.overrideEnable', 'featured.png', 'featured.png', 'JTOOLBAR_ENABLE', true);
			JToolBarHelper::custom('shortcodes.overrideDisable', 'unfeatured.png', 'unfeatured.png', 'JTOOLBAR_DISABLE', true);
		}

		parent::addToolbar();
	}
}
